Bug 104766 - --newer incorrect for same time
--newer incorrect for same time
Product: Red Hat Linux
Classification: Retired
Component: tar (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-09-20 14:53 EDT by arch harris
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-27 06:53:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description arch harris 2003-09-20 14:53:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The newer option should have files appended/extracted only if
the file is NEWER.  However it incorrectly appends/extracts if the
file has the same time.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.cd /tmp; touch file
2.tar -cvf tst.tar file
3.tar -xvf tst.tar --newer /tmp/file file

Actual Results:  File is extracted.

Expected Results:  File should not be extracted, it is not newer than /tmp/file.

Additional info:
Comment 1 Peter Vrabec 2004-10-27 06:51:10 EDT
This bug is already fixed in new version of tar from upstream.
I suggest:
- upgrade tar from upstream
- get new FC3(available soon)

$ >file1
$ >file2
$ tar cvf test.tar file1 file2
$ tar tvf test.tar --newer ./file1
-rw-rw-r-- peter/peter       0 2004-10-27 12:35:29 file2
$ tar tvf test.tar --newer ./file2
$ tar --version
tar (GNU tar) 1.14

Note You need to log in before you can comment on or make changes to this bug.